<?php
 
 
 

namespace Google\Protobuf\Internal;

use Google\Protobuf\Internal\GPBType;
use Google\Protobuf\Internal\GPBWire;
use Google\Protobuf\Internal\InputStream;
use Google\Protobuf\Internal\GPBUtil;
use Google\Protobuf\RepeatedField;









class FeatureSetDefaults extends \Google\Protobuf\Internal\Message
{
    


    private $defaults;
    





    protected $minimum_edition = null;
    





    protected $maximum_edition = null;

    














    public function __construct($data = NULL) {
        \GPBMetadata\Google\Protobuf\Internal\Descriptor::initOnce();
        parent::__construct($data);
    }

    



    public function getDefaults()
    {
        return $this->defaults;
    }

    




    public function setDefaults($var)
    {
        $arr = GPBUtil::checkRepeatedField($var, \Google\Protobuf\Internal\GPBType::MESSAGE, \Google\Protobuf\Internal\FeatureSetDefaults\FeatureSetEditionDefault::class);
        $this->defaults = $arr;

        return $this;
    }

    






    public function getMinimumEdition()
    {
        return isset($this->minimum_edition) ? $this->minimum_edition : 0;
    }

    public function hasMinimumEdition()
    {
        return isset($this->minimum_edition);
    }

    public function clearMinimumEdition()
    {
        unset($this->minimum_edition);
    }

    







    public function setMinimumEdition($var)
    {
        GPBUtil::checkEnum($var, \Google\Protobuf\Internal\Edition::class);
        $this->minimum_edition = $var;

        return $this;
    }

    






    public function getMaximumEdition()
    {
        return isset($this->maximum_edition) ? $this->maximum_edition : 0;
    }

    public function hasMaximumEdition()
    {
        return isset($this->maximum_edition);
    }

    public function clearMaximumEdition()
    {
        unset($this->maximum_edition);
    }

    







    public function setMaximumEdition($var)
    {
        GPBUtil::checkEnum($var, \Google\Protobuf\Internal\Edition::class);
        $this->maximum_edition = $var;

        return $this;
    }

}

